Bug 231014 - Segmentation fault on kernel installation w/ yum
Segmentation fault on kernel installation w/ yum
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-03-05 11:30 EST by Brian Pepple
Modified: 2008-02-07 23:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:26:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2007-03-05 11:30:20 EST
Description of problem:
When installing the kernel w/ yum, during the install process the following
error is produced:

/sbin/new-kernel-pkg: line 90: 13127 Segmentation fault      $grubby
--add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default
$makedefault --title "$title" ${mbkernel:+--add-multiboot="$mbkernel"}
${mbargs:+--mbargs="$mbargs"} --args="root=$rootdevice $kernargs"
--remove-kernel="TITLE=$title"

Version-Release number of selected component (if applicable):
2.6.19-1.2911.6.4.fc6

How reproducible: Always


Steps to Reproduce:
1. yum update

  
Actual results: new kernel isn't added to grub.


Expected results: kernel installed fully without any errors.
Comment 1 Chuck Ebbert 2007-03-05 11:43:59 EST
What version of mkinitrd do you have installed?
I have:

$ rpm -q mkinitrd
mkinitrd-5.1.19.0.2-1

Yours does not match mine: at least that command you quoted
is on line 143 in my "new-kernel-pkg" script.

Comment 2 Brian Pepple 2007-03-05 12:22:36 EST
(In reply to comment #1)
> What version of mkinitrd do you have installed?
> 

[bpepple@Chuck ~]$ rpm -q mkinitrd
mkinitrd-5.1.19.0.2-1

Comment 3 Jon Stanley 2008-01-07 20:48:48 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Jon Stanley 2008-02-07 23:26:27 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.